- name: Install system dependencies
  become: true
  apt:
    pkg:
      - apt-transport-https
      - gnupg

- name: Add Elasticsearch GPG key
  become: true
  apt_key:
    url: https://artifacts.elastic.co/GPG-KEY-elasticsearch
    # `id` generated with `gpg --show-keys GPG-KEY-elasticsearch`
    id: 46095ACC8548582C1A2699A9D27D666CD88E42B4

- name: Add Elasticsearch apt repo
  become: true
  apt_repository:
    repo: deb https://artifacts.elastic.co/packages/7.x/apt stable main
    update_cache: true
    filename: elasticsearch

- name: Install Elasticsearch
  become: true
  apt:
    update_cache: true
    pkg:
    - elasticsearch
    - default-jre
